Skip to main content

Provider

View as Markdown

ProviderInfo object

namestring

The name of the Provider.

authentication_typestring

Values: TOKEN, DATABRICKS, OIDC_FEDERATION, OAUTH_CLIENT_CREDENTIALS

recipient_profile_strstring

This field is required when the authentication_type is TOKEN, OAUTH_CLIENT_CREDENTIALS or not provided.

commentstring

Description about the provider.

ownerstring

Username of Provider owner.

recipient_profileobject

The recipient profile. This field is only present when the authentication_type is TOKEN or OAUTH_CLIENT_CREDENTIALS.

Show child attributesHide child attributes
share_credentials_versionint32

The version number of the recipient's credentials on a share.

endpointstring

The endpoint for the share to be used by the recipient.

bearer_tokenstring

The token used to authorize the recipient.

created_atint64

Time at which this Provider was created, in epoch milliseconds.

created_bystring

Username of Provider creator.

updated_atint64

Time at which this Provider was created, in epoch milliseconds.

updated_bystring

Username of user who last modified Provider.

cloudstring

Cloud vendor of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

regionstring

Cloud region of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

metastore_idstring

UUID of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

data_provider_global_metastore_idstring

The global UC metastore id of the data provider. This field is only present when the authentication_type is DATABRICKS. The identifier is of format cloud:region:metastore-uuid.

Get GA

GET /api/2.1/unity-catalog/providers/{name_arg}

Gets a specific authentication provider. The caller must supply the name of the provider, and must either be a metastore admin or the owner of the provider.

API scopes: sharing

Parameters

name_argstringpath

Name of the provider.

Response

Returns the ProviderInfo object.

Create GA

POST /api/2.1/unity-catalog/providers

Creates a new authentication provider minimally based on a name and authentication type. The caller must be an admin on the metastore.

API scopes: sharing

Request body

namestring

The name of the Provider.

authentication_typestring

Values: TOKEN, DATABRICKS, OIDC_FEDERATION, OAUTH_CLIENT_CREDENTIALS

recipient_profile_strstring

This field is required when the authentication_type is TOKEN, OAUTH_CLIENT_CREDENTIALS or not provided.

commentstring

Description about the provider.

ownerstring

Username of Provider owner.

recipient_profileobject

The recipient profile. This field is only present when the authentication_type is TOKEN or OAUTH_CLIENT_CREDENTIALS.

Show child attributesHide child attributes
share_credentials_versionint32

The version number of the recipient's credentials on a share.

endpointstring

The endpoint for the share to be used by the recipient.

bearer_tokenstring

The token used to authorize the recipient.

created_atint64

Time at which this Provider was created, in epoch milliseconds.

created_bystring

Username of Provider creator.

updated_atint64

Time at which this Provider was created, in epoch milliseconds.

updated_bystring

Username of user who last modified Provider.

cloudstring

Cloud vendor of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

regionstring

Cloud region of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

metastore_idstring

UUID of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

data_provider_global_metastore_idstring

The global UC metastore id of the data provider. This field is only present when the authentication_type is DATABRICKS. The identifier is of format cloud:region:metastore-uuid.

Response

Returns the ProviderInfo object.

Update GA

PATCH /api/2.1/unity-catalog/providers/{name_arg}

Updates the information for an authentication provider, if the caller is a metastore admin or is the owner of the provider. If the update changes the provider name, the caller must be both a metastore admin and the owner of the provider.

API scopes: sharing

Parameters

name_argstringpath

Name of the provider.

Request body

new_namestring

New name for the provider.

namestring

The name of the Provider.

authentication_typestring

Values: TOKEN, DATABRICKS, OIDC_FEDERATION, OAUTH_CLIENT_CREDENTIALS

recipient_profile_strstring

This field is required when the authentication_type is TOKEN, OAUTH_CLIENT_CREDENTIALS or not provided.

commentstring

Description about the provider.

ownerstring

Username of Provider owner.

recipient_profileobject

The recipient profile. This field is only present when the authentication_type is TOKEN or OAUTH_CLIENT_CREDENTIALS.

Show child attributesHide child attributes
share_credentials_versionint32

The version number of the recipient's credentials on a share.

endpointstring

The endpoint for the share to be used by the recipient.

bearer_tokenstring

The token used to authorize the recipient.

created_atint64

Time at which this Provider was created, in epoch milliseconds.

created_bystring

Username of Provider creator.

updated_atint64

Time at which this Provider was created, in epoch milliseconds.

updated_bystring

Username of user who last modified Provider.

cloudstring

Cloud vendor of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

regionstring

Cloud region of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

metastore_idstring

UUID of the provider's UC metastore. This field is only present when the authentication_type is DATABRICKS.

data_provider_global_metastore_idstring

The global UC metastore id of the data provider. This field is only present when the authentication_type is DATABRICKS. The identifier is of format cloud:region:metastore-uuid.

Response

Returns the ProviderInfo object.

Delete GA

DELETE /api/2.1/unity-catalog/providers/{name_arg}

Deletes an authentication provider, if the caller is a metastore admin or is the owner of the provider.

API scopes: sharing

Parameters

name_argstringpath

Name of the provider.